
%% Create noise data from IMU-log file

clear all
close all
clc

load noisedata.mat

noise.acc_x.signals.values = noisedata(:,3) - mean(noisedata(:,3));
noise.acc_y.signals.values = noisedata(:,4) - mean(noisedata(:,4));
noise.acc_z.signals.values = noisedata(:,5) - mean(noisedata(:,5));

noise.gyr_x.signals.values = noisedata(:,6) - mean(noisedata(:,6));
noise.gyr_y.signals.values = noisedata(:,7) - mean(noisedata(:,7));
noise.gyr_z.signals.values = noisedata(:,8) - mean(noisedata(:,8));

noise.roll.signals.values = noisedata(:,12) - mean(noisedata(:,12));
noise.pitch.signals.values = noisedata(:,13) - mean(noisedata(:,13));
noise.yaw.signals.values = noisedata(:,14) - mean(noisedata(:,14));

llh0 = [mean(noisedata(1,16)) mean(noisedata(1,15)) mean(noisedata(1,17))];
for t = 1:9125
    llh = [noisedata(t,16) noisedata(t,15) noisedata(t,17)];
    dned = dllh2dned(llh, llh0);
    
    noise.pos_x.signals.values(t) = dned(1);
    noise.pos_y.signals.values(t) = dned(2);
    noise.pos_z.signals.values(t) = dned(3);
end

noise.vel_x.signals.values = noisedata(:,18) - mean(noisedata(:,18));
noise.vel_y.signals.values = noisedata(:,19) - mean(noisedata(:,19));
noise.vel_z.signals.values = noisedata(:,20) - mean(noisedata(:,20));

time = 0:.01:9125*0.01-0.01;
noise_acc = [time;
             noise.acc_x.signals.values';
             noise.acc_y.signals.values';
             noise.acc_z.signals.values'];
noise_gyr = [time;
             noise.gyr_x.signals.values'*180/pi;
             noise.gyr_y.signals.values'*180/pi;
             noise.gyr_z.signals.values'*180/pi];
noise_ang = [time;
             noise.roll.signals.values';
             noise.pitch.signals.values';
             noise.yaw.signals.values'];
noise_pos = [time;
             noise.pos_x.signals.values;
             noise.pos_y.signals.values;
             noise.pos_z.signals.values];
noise_vel = [time;
             noise.vel_x.signals.values';
             noise.vel_y.signals.values';
             noise.vel_z.signals.values'];

save('noise_acc.mat', 'noise_acc')
save('noise_ang.mat', 'noise_ang')
save('noise_gyr.mat', 'noise_gyr')
save('noise_pos.mat', 'noise_pos')
save('noise_vel.mat', 'noise_vel')

clear noisedata noise llh llh0 dned noise time t
clear noise_acc noise_gyr noise_ang noise_pos noise_vel

