
%%%%%%%%%%%%%%%%%%%
% Save MPEG movie %
%%%%%%%%%%%%%%%%%%%

% check if all frames are equal to the first frame
[X, Y, Z] = size(car_movie(1,1).cdata);
bad_frames = [];

for i=1:length(car_movie)
    [x, y, z] = size(car_movie(1,i).cdata);
    frame_failed = 0;

    if (x~=X) || (y~=Y) || (z~=Z)
        frame_failed = 1;
    end

    if frame_failed
        bad_frames = [bad_frames struct('index',i,'x',x,'y',y,'z',z)];
    end
end

% adjust bad frames to proper size
for i = bad_frames
    A = car_movie(i.index).cdata;
    B = A((i.x-343+1):end,(i.y-435+1):end,(i.z-3+1):end);
    car_movie(i.index).cdata = B;
end

% write to disk
mpgwrite(car_movie, jet, 'simulation.mpg', [1 2 2 1 1 1 1 1])